Subject: Re: bug#17375: 24.4.50; minibuffer completion by SPC

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 01 May 2014 09:18:41 +0900

On Wed, 30 Apr 2014 14:07:00 -0400, Stefan Monnier wrote:
>> I verified that it doesn't happen on the most fresh Emacs built
>> on Linux.

> It probably depends on some particular configuration or situation.
> If you bump into it again, try to see if you can reproduce it, or if it
> depends on, I don't know, some particular buffer names or something.

I haven't tested it with `emacs -Q', sorry.  In not only that case
but also the case I launch emacs with no argument, I confirmed it
doesn't happen.  But at last I found a recipe to reproduce this:

(get-buffer-create "foo-bar")

That's all!

Could you try this on `emacs -Q'?  And you will see that the first
SPC for `C-x b' doesn't insert a space (I'm not quite sure if it
happens on every platform, though).
Maybe a buffer-name containing a hyphen triggers this problem.

Thanks.

In GNU Emacs 24.4.50.1 (i686-pc-cygwin, GTK+ Version 3.10.7)
 of 2014-05-01 on localhost
Repository revision: 117036 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11501000
Configured using:
 `configure --verbose --with-x-toolkit=gtk3'